MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Configured.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
Include dependency graph for Configured.hxx:

Go to the source code of this file.

## Functions
Storage * | CreateConfiguredStorage (EventLoop &event_loop)
| Read storage configuration settings and create a Storage instance from it. More...
gcc_const bool | IsStorageConfigured ()
| Returns true if there is configuration for a Storage instance. More...

## Function Documentation

Storage* CreateConfiguredStorage | ( | EventLoop & | event_loop | ) |

Read storage configuration settings and create a Storage instance from it.

Returns nullptr if no storage is configured.

Throws #std::runtime_error on error.

gcc_const bool IsStorageConfigured | ( |  | ) |

Returns true if there is configuration for a Storage instance.